check-box {
	position: relative;
}

.check-box__custom {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	min-width: 25px;
	min-height: 25px;
	border-radius: 50%;
	border: 1px solid var(--c-grey);

	transition: 0.3s;
}

.check-box__icon {
	position: absolute;
	opacity: 0;

	color: var(--c-main_dark);
	font-size: 20px;
	transform: scale(0);

	transition: 0.3s;
}

.check-box__default:checked + .check-box__custom {
	background-color: var(--c-accent_dark);
	border-color: var(--c-main_dark);
}

.check-box__default:checked + .check-box__custom > .check-box__icon {
	opacity: 1 !important;
	transform: scale(1) !important;
}
